<?php

class ThreadTagImporters_Install
{
	protected static function _canBeInstalled(&$error)
	{
		if (XenForo_Application::$versionId < 1050770)
		{
			$error = 'This add-on requires XenForo 1.5.7 or higher.';
			return false;
		}

		return true;
	}

	public static function installer($previous)
	{
		if (!self::_canBeInstalled($error))
		{
			throw new XenForo_Exception($error, true);
		}
	}
}